; awai.inc
;

; PORTA bits
;
;	Connect the resistances to ground.
;
AWrs232op	EQU	~1	;	RS232 Output needs to be kept an output.
AWopenCircuitOP EQU	~0
AWportA1pin	EQU	~0x02	; 	pin pulled low during ON, Hi-Z during OFF.
AWstopOP	EQU	~0x04	;	19k1	Stop
AWrecOP		EQU	~0x08	;	12k4	Rec
AWplayOP	EQU	~0x10	;	 5k	Play
				;	27k	FFWD	fastForward
				;	38k	FbckWd	FastBackward
				;	49k1	dsc
				;	64k	Enter



;--------------------------------------------------------------------------
; Sec 4.7	AIWA Control Routine
;--------------------------------------------------------------------------
;
;	To start recording:
;	Over about 4 seconds
;	REC/EDIT
;	REC/EDIT + PLAY
;	O/C
;	PLAY



	
  IF  0 !=  ( high ( IPjmpTable5End ) - high ( IPjmpTable5Start ) )
    Error "Table straddles Page Boundary "
  ENDIF
IPjmpTable5Start




AWstop
	MOVLW	low(AWswStop)
	MOVWF	AWstate
	GOTO	AWts
AWstart
	MOVLW	low(AWStartRec)
	MOVWF	AWstate

AWts
	MOVLW	high($)
	MOVWF	PCLATH
	; simulate open collector operation
	CLRF	PORTA
	BSF	STATUS, RP0	; Select TRIS
	MOVFW	AWstate
	MOVWF	PCL
	; set choice State Table - limited to 2 states and two events
AWswIdleON
	; OC all buttons
	MOVLW	AWopenCircuitOP & AWportA1pin & AWrs232op
	MOVWF	TRISA
	MOVLW	low(AWswIdleON)
	GOTO	AWend

AWStartRec
	; apply rec/edit
	MOVLW	AWrecOP	 & AWportA1pin & AWrs232op
	MOVWF	TRISA
	MOVLW	low(AWswRecPlay)
	GOTO 	AWend

AWswRecPlay	
	; apply rec/edit + play + 
	MOVLW	AWrecOP & AWplayOP & AWportA1pin  & AWrs232op
	MOVWF	TRISA

	MOVLW	low(AWswRec2)
	GOTO 	AWend

AWswRec2
	; apply rec/edit
	MOVLW	AWrecOP  & AWportA1pin & AWrs232op
	MOVWF	TRISA
	MOVLW	low(AWswOc)
	GOTO 	AWend

AWswOc	
	; Open circuit 
	MOVLW	AWopenCircuitOP	& AWportA1pin & AWrs232op
	MOVWF	TRISA
	MOVLW	low(AWswPlay)
	GOTO 	AWend

AWswPlay	
	; Apply Play
	MOVLW	AWplayOP  & AWportA1pin  & AWrs232op
	MOVWF	TRISA
	MOVLW	low(AWswIdleON)
	GOTO 	AWend

AWswStop
	; Apply Play
	MOVLW	AWstopOP & AWrs232op
	MOVWF	TRISA
;	BCF	PORTA,AWplay
	MOVLW	low(AWswIdleOFF)
	GOTO 	AWend

AWswIdleOFF
	; OC all buttons
	MOVLW	AWopenCircuitOP  & AWrs232op
	MOVWF	TRISA
	MOVLW	low(AWswIdleOFF)
	GOTO	AWend



IPjmpTable5End

AWend	MOVWF	AWstate
	BCF	STATUS, RP0
	RETURN

